Name:		yafray
Version:	0.0.8
Release:	%mkrel 3
Summary:	YafRay: Yet Another Free RAYtracer 
License:	LGPL
Group: 		Graphics
Source:		http://www.yafray.org/sec/2/downloads/yafray-%{version}.tar.bz2
URL: 		http://www.yafray.org
Patch0:		yafray-0.0.8-x86_64.patch.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libjpeg-devel
BuildRequires:	libz-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	scons

%description
YafRay is a graphic raytracer to render 3D models.

%prep
%setup -q 
%patch0 -p1 -b .64
perl -pi -e 's@/lib@/%{_lib}@g' linux-settings.py
%build

%ifarch %{ix86}
cp -p linux-settings.py linux-settings.ix86
mkdir build-sse
perl -pi -e \
	's/-O3 -ffast-math -fomit-frame-pointer/%{optflags} -O3 -ffast-math -msse2 -msse -mfpmath=sse/g' linux-settings.py
scons prefix=%{_prefix}
# TODO: also the plugins .so files should be under ./build-sse, but we need
# to modify the yafray library code so that they will be searched into
# /usr/lib/yafray/sse2/ too, before /usr/lib/yafray/.
cp -p ./src/interface/libyafrayplugin.so \
	./src/yafraycore/libyafraycore.so ./build-sse
scons -c 
cp -p linux-settings.ix86 linux-settings.py
%endif
perl -pi -e \
	's/-O3 -ffast-math -fomit-frame-pointer/%{optflags} -O3 -ffast-math/g' linux-settings.py
scons prefix=%{_prefix}

%install
rm -rf %{buildroot}
scons install prefix=%{buildroot}%{_prefix}
%ifarch %{ix86}
mkdir -p %{buildroot}%{_prefix}/%{_lib}/sse2
install -m 755 ./build-sse/libyafrayplugin.so %{buildroot}%{_prefix}/%{_lib}/sse2/
install -m 755 ./build-sse/libyafraycore.so %{buildroot}%{_prefix}/%{_lib}/sse2/
%endif

# our sysconf dir is /etc not /usr/etc
mv %{buildroot}%{_prefix}/etc %{buildroot}/etc

# remove .sconsign files
find %{buildroot} -name .sconsign -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README doc/doc.html
%attr(0755,root,root) %{_bindir}/yafray
%{_sysconfdir}/gram.yafray
# Warning: Module, not development library
%{_libdir}/libyafray*
# Plugins
%{_libdir}/yafray
%ifarch %{ix86}
%{_libdir}/sse2
%endif


%changelog
* Mon Jun 05 2006 Giuseppe Ghib <gibo@mandriva.com> 0.0.8-2.1.20060mdk
- fixed build for 64bit.
- Added OpenEXR-devel to BuildRequires.
- fixed Summary and rebuild for 2006.0.
- Merged Andreas SVN (31646).

* Thu Jul 21 2005 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2005-07-21 15:51:11 (395)
- Adding YafRay 0.0.8 to contrib
